<html devsite><head>
    <title>Android 安全公告 - 2017 年 2 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>发布时间：2017 年 2 月 6 日 | 更新时间：2017 年 2 月 8 日</em></p>
<p>
本 Android 安全公告详细介绍了会影响 Android 设备的安全漏洞。在发布本公告的同时，我们还通过无线下载 (OTA) 更新的方式发布了针对 Google 设备的安全更新。我们还在 <a href="https://developers.google.com/android/nexus/images">Google Developers 网站</a>上发布了 Google 设备固件映像。安全补丁程序级别为 2017 年 2 月 5 日或更新的 Android 系统都已解决本公告中所述的所有问题。请参阅 <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 和 Nexus 更新时间表</a>，了解如何查看设备的安全补丁程序级别。
</p>
<p>
合作伙伴在 2017 年 1 月 3 日或之前就已收到关于本公告中所述问题的通知。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中，并在本公告中提供了相应链接。本公告中还提供了指向 AOSP 之外的补丁程序的链接。
</p>
<p>
这些问题中危险性最高的是一个严重程度为“严重”的安全漏洞。当系统处理媒体文件时，攻击者可以利用该漏洞通过多种方式（例如电子邮件、网页浏览和彩信等）在受影响的设备上远程执行代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。
</p>
<p>
尚未有人向我们举报过有用户主动利用或滥用这些新报告的问题。请参阅 <a href="#mitigations">Android 和 Google 服务缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/index.html">Android 安全平台防护功能</a>和服务防护功能（如 <a href="https://developer.android.com/training/safetynet/index.html">SafetyNet</a>）。
</p>
<p>
我们建议所有用户都在自己的设备上接受这些更新。
</p>
<h2 id="announcements">通告</h2>
<ul>
<li>本公告有 2 个安全补丁程序级别字符串，目的是让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。如需了解详情，请参阅<a href="#common-questions-and-answers">常见问题和解答</a>：
  <ul>
   <li><strong>2017-02-01</strong>：部分安全补丁程序级别字符串。该安全补丁程序级别字符串表明 2017-02-01（以及之前的所有安全补丁程序级别字符串）涵盖的所有问题均已得到解决。</li>
   <li><strong>2017-02-05</strong>：完整安全补丁程序级别字符串。该安全补丁程序级别字符串表明 2017-02-01 和 2017-02-05（以及之前的所有安全补丁程序级别字符串）涵盖的所有问题均已得到解决。</li>
  </ul>
</li>
<li>受支持的 Google 设备将会收到一个安全补丁程序级别为 2017 年 2 月 5 日的 OTA 更新。</li>
</ul>

<h2 id="mitigations">Android 和 Google 服务缓解措施</h2>
<p>这一部分总结了 <a href="/security/enhancements/index.html">Android 安全平台</a>和服务防护功能（如 SafetyNet）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。</p>
<ul>
  <li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。</li>
  <li>Android 安全团队会积极利用<a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_2015_Report_Final.pdf">“验证应用”功能和 SafetyNet</a> 监控滥用行为，这些功能会在发现<a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_PHA_classifications.pdf">可能有害的应用</a>时向用户发出警告。在安装有 <a href="http://www.android.com/gms">Google 移动服务</a>的设备上，“验证应用”功能会默认处于启用状态，对于从 Google Play 以外的来源安装应用的用户来说，该功能尤为重要。Google Play 中禁止提供能够获取设备 root 权限的工具，当用户尝试安装被检测出能够获取 root 权限的应用时（无论应用来自何处），“验证应用”功能会向用户发出警告。另外，“验证应用”功能还会尝试识别并阻止用户安装会利用提权漏洞的已知恶意应用。如果用户已安装此类应用，那么“验证应用”功能将会通知用户，并尝试移除检测出的恶意应用。</li>
  <li>由于已做了适当更新，因此 Google 环聊和 Messenger 应用不会自动将媒体内容传递给 Mediaserver 之类的进程。</li>
</ul>
<h2 id="acknowledgements">致谢</h2>
<p>
我们衷心感谢以下研究人员做出的贡献：
</p>
<ul>
  <li>Daniel Dakhno：CVE-2017-0420</li>
  <li>Copperhead Security 的 Daniel Micay：CVE-2017-0410</li>
  <li><a href="http://www.linkedin.com/in/dzima">Dzmitry Lukyanenka</a>：CVE-2017-0414</li>
  <li>Chrome 的 Frank Liberato：CVE-2017-0409</li>
  <li>Project Zero 的 Gal Beniamini：CVE-2017-0411、CVE-2017-0412</li>
  <li>奇虎 360 科技有限公司 IceSword 实验室的 Gengjia Chen (<a href="https://twitter.com/chengjia4574">@chengjia4574</a>) 和 <a href="http://weibo.com/jfpan">pjf</a>：CVE-2017-0434、CVE-2017-0446、CVE-2017-0447、CVE-2017-0432</li>
  <li><a href="http://www.360.com">奇虎 360 科技有限公司</a> Alpha 团队的龚广 (<a href="https://twitter.com/oldfresher">@oldfresher</a>)：CVE-2017-0415</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:arnow117@gmail.com">Hanxiang Wen</a>、<a href="mailto:vancouverdou@gmail.com">Wenke Dou</a>、Mingjian Zhou (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>) 和 Xuxian Jiang：CVE-2017-0418</li>
  <li>奇虎 360 科技有限公司 Alpha 团队的 Hao Chen 和龚广：CVE-2017-0437、CVE-2017-0438、CVE-2017-0439、CVE-2016-8419、CVE-2016-8420、CVE-2016-8421、CVE-2017-0441、CVE-2017-0442、CVE-2016-8476、CVE-2017-0443</li>
  <li>Google 的 Jeff Sharkey：CVE-2017-0421、CVE-2017-0423</li>
  <li>Jeff Trim：CVE-2017-0422</li>
  <li>奇虎 360 IceSword 实验室的 Jianqiang Zhao (<a href="https://twitter.com/jianqiangzhao">@jianqiangzhao</a>) 和 <a href="http://weibo.com/jfpan">pjf</a>：CVE-2017-0445</li>
  <li>LINE Corporation 的 ma.la 和 Nikolay Elenkov：CVE-2016-5552</li>
  <li>Google 的 Max Spector：CVE-2017-0416</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 Mingjian Zhou (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>)、Yuqi Lu (<a href="https://twitter.com/nikos233__">@nikos233</a>) 和 Xuxian Jiang：CVE-2017-0425</li>
  <li>腾讯科恩实验室的何淇丹 (<a href="https://twitter.com/flanker_hqd">@flanker_hqd</a>) 和申迪 (<a href="https://twitter.com/returnsme">@returnsme</a>)：CVE-2017-0427</li>
  <li>IBM X-Force 研发团队的 Sagi Kedmi：CVE-2017-0433</li>
  <li>Copperhead Security 的 Scott Bauer (<a href="http://twitter.com/ScottyBauer1">@ScottyBauer1</a>) 和 Daniel Micay：CVE-2017-0405</li>
  <li>趋势科技移动威胁研究团队的 Seven Shen (<a href="https://twitter.com/lingtongshen">@lingtongshen</a>)：CVE-2017-0449、CVE-2016-8418</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:segfault5514@gmail.com">Tong Lin</a>、<a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0436、CVE-2016-8481、CVE-2017-0435</li>
  <li><a href="http://blog.trendmicro.com/trendlabs-security-intelligence/category/mobile">移动威胁响应团队</a>（<a href="http://www.trendmicro.com">趋势科技</a>）的 V.E.O (<a href="https://twitter.com/vysea">@VYSEa</a>)：CVE-2017-0424</li>
  <li>阿里巴巴的 Weichao Sun (<a href="https://twitter.com/sunblate">@sunblate</a>)：CVE-2017-0407</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:vancouverdou@gmail.com">Wenke Dou</a>、<a href="mailto:hlhan@bupt.edu.cn">Hongli Han</a>、Mingjian Zhou (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>) 和 Xuxian Jiang：CVE-2017-0450</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:vancouverdou@gmail.com">Wenke Dou</a>、Yuqi Lu (<a href="https://twitter.com/nikos233__">@nikos233</a>)、Mingjian Zhou (<a href="https://twitter.com/Mingjian_Zhou">@Mingjian_Zhou</a>) 和 Xuxian Jiang：CVE-2017-0417</li>
  <li>蚂蚁金服巴斯光年安全实验室的<a href="http://www.weibo.com/wishlinux">吴潍浠</a> (<a href="https://twitter.com/wish_wu">@wish_wu</a>)：CVE-2017-0408</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:yaojun8558363@gmail.com">Yao Jun</a>、<a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2016-8480</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0444</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、<a href="mailto:segfault5514@gmail.com">Tong Lin</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0428</li>
  <li><a href="http://c0reteam.org">C0RE 团队</a>的 <a href="mailto:computernik@gmail.com">Yuan-Tsung Lo</a>、<a href="mailto:wisedd@gmail.com">Xiaodong Wang</a>、Chiachih Wu (<a href="https://twitter.com/chiachih_wu">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2017-0448、CVE-2017-0429</li>
  <li><a href="http://www.nsfocus.com">NSFocus</a> 的 <a href="mailto:zhouzhenster@gmail.com">Zhen Zhou</a> (<a href="https://twitter.com/henices">@henices</a>) 和 <a href="mailto:sundaywind2004@gmail.com">Zhixin Li</a>：CVE-2017-0406</li>
</ul>
<p>
此外，我们还要感谢以下研究人员对本公告做出的贡献：
</p><ul>
<li>百度安全实验室的丁鹏飞、包沉浮和韦韬</li>
</ul>

<h2 id="2017-02-01-details">2017-02-01 安全补丁程序级别 - 漏洞详情</h2>
<p>
我们在下面提供了 2017-02-01 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关参考内容、严重程度、已更新的 Google 设备、已更新的 AOSP 版本（如果适用）及报告日期。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="rce-in-surfaceflinger">Surfaceflinger 中的远程代码执行漏洞</h3>
<p>
Surfaceflinger 中有一个远程代码执行漏洞，当系统处理媒体文件和数据时，该漏洞可让攻击者利用蓄意创建的文件破坏内存。由于攻击者可以利用该漏洞通过 Surfaceflinger 进程远程执行代码，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0405</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/16110b86db164e8d2b6864fed58f0385fe7d0979">A-31960359</a></td>
    <td>严重</td>
    <td>所有</td>
    <td>7.0、7.1.1</td>
    <td>2016 年 10 月 4 日</td>
  </tr>
</tbody></table>

<h3 id="rce-in-mediaserver">Mediaserver 中的远程代码执行漏洞</h3>
<p>
Mediaserver 中有一个远程代码执行漏洞，当系统处理媒体文件和数据时，该漏洞可让攻击者利用蓄意创建的文件破坏内存。由于攻击者可以利用该漏洞通过 Mediaserver 进程远程执行代码，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0406</td>
    <td><a href="https://android.googlesource.com/platform/external/libhevc/+/fed702734d86801cc86b4865a57e2f2028c4b575">A-32915871</a> [<a href="https://android.googlesource.com/platform/external/libhevc/+/df7b56457184600e3d2b7cbac87ebe7001f7cb48">2</a>]</td>
    <td>严重</td>
    <td>所有</td>
    <td>6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 11 月 14 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0407</td>
    <td><a href="https://android.googlesource.com/platform/external/libhevc/+/7546c106004910a4583b2d7d03c6498ecf383da7">A-32873375</a></td>
    <td>严重</td>
    <td>所有</td>
    <td>6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 11 月 12 日</td>
  </tr>
</tbody></table>

<h3 id="rce-in-libgdx">libgdx 中的远程代码执行漏洞</h3>
<p>
libgdx 中有一个远程代码执行漏洞，该漏洞可让攻击者利用蓄意创建的文件通过非特权进程执行任意代码。由于攻击者可以利用该漏洞在使用此库的应用中远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0408</td>
    <td><a href="https://android.googlesource.com/platform/external/libgdx/+/e6da772e70c9754966aabf4ddac73bb99eb1742b">A-32769670</a></td>
    <td>高</td>
    <td>所有</td>
    <td>7.1.1</td>
    <td>2016 年 11 月 9 日</td>
  </tr>
</tbody></table>

<h3 id="rce-in-libstagefright">libstagefright 中的远程代码执行漏洞</h3>
<p>
libstagefright 中有一个远程代码执行漏洞，该漏洞可让攻击者利用蓄意创建的文件通过非特权进程执行任意代码。由于攻击者可以利用该漏洞在使用此库的应用中远程执行代码，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0409</td>
    <td><a href="https://android.googlesource.com/platform/external/libavc/+/72886b6964f6539908c8e127cd13c3091d2e5a8b">A-31999646</a></td>
    <td>高</td>
    <td>所有</td>
    <td>6.0、6.0.1、7.0、7.1.1</td>
    <td>Google 内部</td>
  </tr>
</tbody></table>

<h3 id="eop-in-java.net">Java.Net 中的提权漏洞</h3>
<p>
Java.Net 库中有一个提权漏洞，恶意网页内容可以利用该漏洞在未经用户明确许可的情况下将用户重定向到其他网站。由于攻击者可以利用该漏洞远程绕过用户互动要求，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-5552</td>
    <td><a href="https://android.googlesource.com/platform/libcore/+/4b3f2c6c5b84f80fae8eeeb46727811e055715ea">A-31858037</a></td>
    <td>高</td>
    <td>所有</td>
    <td>7.0、7.1.1</td>
    <td>2016 年 9 月 30 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-framework-apis">Framework API 中的提权漏洞</h3>
<p>
Framework API 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取通常无法获取的超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0410</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/b4d6b292bce7d82c93fd454078dedf5a1302b9fa">A-31929765</a></td>
    <td>高</td>
    <td>所有</td>
    <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 10 月 2 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0411</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/203725e4d58e16334d84998c1483c374f541ed9f">A-33042690</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/31a06019d13d7b00ca35fc8512191c643acb8e84">2</a>]</td>
    <td>高</td>
    <td>所有</td>
    <td>7.0、7.1.1</td>
    <td>2016 年 11 月 21 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0412</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/203725e4d58e16334d84998c1483c374f541ed9f">A-33039926</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/31a06019d13d7b00ca35fc8512191c643acb8e84">2</a>]</td>
    <td>高</td>
    <td>所有</td>
    <td>7.0、7.1.1</td>
    <td>2016 年 11 月 21 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-mediaserver">Mediaserver 中的提权漏洞</h3>
<p>
Mediaserver 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取通常无法获取的超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0415</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/2e16d5fac149dab3c3e8f1b2ca89f45cf55a7b34">A-32706020</a></td>
    <td>高</td>
    <td>所有</td>
    <td>6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 11 月 4 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-audioserver">Audioserver 中的提权漏洞</h3>
<p>
Audioserver 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于攻击者可以利用该漏洞使第三方应用在本地获取通常无法获取的超出规定的权能，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0416</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/b0bcddb44d992e74140a3f5eedc7177977ea8e34">A-32886609</a> [<a href="https://android.googlesource.com/platform/frameworks/av/+/321ea5257e37c8edb26e66fe4ee78cca4cd915fe">2</a>]</td>
    <td>高</td>
    <td>所有</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>Google 内部</td>
  </tr>
  <tr>
    <td>CVE-2017-0417</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/b0bcddb44d992e74140a3f5eedc7177977ea8e34">A-32705438</a></td>
    <td>高</td>
    <td>所有</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 11 月 7 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0418</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/b0bcddb44d992e74140a3f5eedc7177977ea8e34">A-32703959</a> [<a href="https://android.googlesource.com/platform/hardware/libhardware/+/534098cb29e1e4151ba2ed83d6a911d0b6f48522">2</a>]</td>
    <td>高</td>
    <td>所有</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 11 月 7 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0419</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/a155de4d70e0b9ac8fc02b2bdcbb2e8e6cca46ff">A-32220769</a></td>
    <td>高</td>
    <td>所有</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 10 月 15 日</td>
  </tr>
</tbody></table>

<h3 id="id-in-aosp-mail">AOSP 邮件中的信息披露漏洞</h3>
<p>
AOSP 邮件中有一个信息披露漏洞，本地恶意应用可以利用该漏洞绕过将应用数据与其他应用分隔开来的操作系统防护功能。由于应用可以利用该漏洞访问无权访问的数据，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0420</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/UnifiedEmail/+/2073799a165e6aa15117f8ad76bb0c7618b13909">A-32615212</a></td>
    <td>高</td>
    <td>所有</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 9 月 12 日</td>
  </tr>
</tbody></table>

<h3 id="id-in-aosp-messaging">AOSP 短信中的信息披露漏洞</h3>
<p>
AOSP 短信中有一个信息披露漏洞，本地恶意应用可以利用该漏洞绕过将应用数据与其他应用分隔开来的操作系统防护功能。由于应用可以利用该漏洞访问无权访问的数据，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0413</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Messaging/+/74059eb379ea07b9c7f46bf2112a60de8e4cfc8e">A-32161610</a></td>
    <td>高</td>
    <td>所有</td>
    <td>6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 10 月 13 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0414</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Messaging/+/30ab77f42d20c33c0aa9e6ffd2b164d096db32dd">A-32807795</a></td>
    <td>高</td>
    <td>所有</td>
    <td>6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 11 月 10 日</td>
  </tr>
</tbody></table>

<h3 id="id-in-framework-apis">Framework API 中的信息披露漏洞</h3>
<p>
Framework API 中有一个信息披露漏洞，本地恶意应用可以利用该漏洞绕过将应用数据与其他应用分隔开来的操作系统防护功能。由于应用可以利用该漏洞访问无权访问的数据，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0421</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/858064e946dc8dbf76bff9387e847e211703e336">A-32555637</a></td>
    <td>高</td>
    <td>所有</td>
    <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>Google 内部</td>
  </tr>
</tbody></table>

<h3 id="dos-in-bionic-dns">Bionic DNS 中的拒绝服务漏洞</h3>
<p>
Bionic DNS 中有一个拒绝服务漏洞，该漏洞可让攻击者利用蓄意创建的网络数据包使设备挂起或重新启动。由于攻击者可以利用该漏洞远程发起拒绝服务攻击，因此我们将该漏洞的严重程度评为“高”。

</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0422</td>
    <td><a href="https://android.googlesource.com/platform/bionic/+/dba3df609436d7697305735818f0a840a49f1a0d">A-32322088</a></td>
    <td>高</td>
    <td>所有</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 10 月 20 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-bluetooth">蓝牙中的提权漏洞</h3>
<p>
蓝牙中有一个提权漏洞，邻近区域内的攻击者可以利用该漏洞管理对设备上的文档的访问权限。由于攻击者在利用该漏洞时需要先入侵蓝牙堆栈中的另一个漏洞，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0423</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Bluetooth/+/4c1f39e1cf203cb9db7b85e75b5fc32ec7132083">A-32612586</a></td>
    <td>中</td>
    <td>所有</td>
    <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 11 月 2 日</td>
  </tr>
</tbody></table>

<h3 id="id-in-aosp-messaging-2">AOSP 短信中的信息披露漏洞</h3>
<p>
AOSP 短信中有一个信息披露漏洞，该漏洞可让远程攻击者利用蓄意创建的文件访问超出其权限范围的数据。由于该漏洞可让攻击者通过特权进程全面深入地绕过用户级防护功能或利用缓解技术中存在的问题，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0424</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Messaging/+/e9b7e3a6b7a8886693d298401a20788816a5afdc">A-32322450</a></td>
    <td>中</td>
    <td>所有</td>
    <td>6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 10 月 20 日</td>
  </tr>
</tbody></table>

<h3 id="id-in-audioserver">Audioserver 中的信息披露漏洞</h3>
<p>
Audioserver 中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经许可的情况下访问敏感数据，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0425</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/a155de4d70e0b9ac8fc02b2bdcbb2e8e6cca46ff">A-32720785</a></td>
    <td>中</td>
    <td>所有</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1</td>
    <td>2016 年 11 月 7 日</td>
  </tr>
</tbody></table>

<h3 id="id-in-filesystem">文件系统中的信息披露漏洞</h3>
<p>
文件系统中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经许可的情况下访问敏感数据，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>已更新的 AOSP 版本</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0426</td>
    <td><a href="https://android.googlesource.com/platform/system/sepolicy/+/ae46511bfa62b56938b3df824bb2ee737dceaa7a">A-32799236</a> [<a href="https://android.googlesource.com/platform/system/core/+/0e7324e9095a209d4f06ba00812b2b2976fe2846">2</a>]</td>
    <td>中</td>
    <td>所有</td>
    <td>7.0、7.1.1</td>
    <td>Google 内部</td>
  </tr>
</tbody></table>

<h2 id="2017-02-05-details">2017-02-05 安全补丁程序级别 - 漏洞详情</h2>
<p>
我们在下面提供了 2017-02-05 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关参考内容、严重程度、已更新的 Google 设备、已更新的 AOSP 版本（如果适用）及报告日期。如果有解决相应问题的公开更改记录（例如 AOSP 代码更改列表），我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多参考内容。</p>

<h3 id="rce-in-qualcomm-crypto-driver">Qualcomm 加密驱动程序中的远程代码执行漏洞</h3>
<p>
Qualcomm 加密驱动程序中有一个远程代码执行漏洞，远程攻击者可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞通过内核远程执行代码，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8418</td>
    <td>A-32652894<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=8f8066581a8e575a7d57d27f36c4db63f91ca48f">QC-CR#1077457</a></td>
    <td>严重</td>
    <td>无*</td>
    <td>2016 年 10 月 10 日</td>
  </tr>
</tbody></table>
<p>
*运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>

<h3 id="eop-in-kernel-file-system">内核文件系统中的提权漏洞</h3>
<p>
内核文件系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0427</td>
    <td>A-31495866*</td>
    <td>严重</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
    <td>2016 年 9 月 13 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-nvidia-gpu-driver">NVIDIA GPU 驱动程序中的提权漏洞</h3>
<p>
NVIDIA GPU 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0428</td>
    <td>A-32401526*<br />N-CVE-2017-0428</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0429</td>
    <td>A-32636619*<br />N-CVE-2017-0429</td>
    <td>严重</td>
    <td>Nexus 9</td>
    <td>2016 年 11 月 3 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-kernel-networking-subsystem">内核网络子系统中的提权漏洞</h3>
<p>
内核网络子系统中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2014-9914</td>
    <td>A-32882659<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=9709674e68646cee5a24e3000b3558d25412203a">上游内核</a></td>
    <td>严重</td>
    <td>Nexus 6、Nexus Player</td>
    <td>2016 年 11 月 9 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-broadcom-wi-fi-driver">Broadcom WLAN 驱动程序中的提权漏洞</h3>
<p>
Broadcom WLAN 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0430</td>
    <td>A-32838767*<br />B-RB#107459</td>
    <td>严重</td>
    <td>Nexus 6、Nexus 6P、Nexus 9、Pixel C、Nexus Player</td>
    <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="vulnerabilities-in-qualcomm-components">Qualcomm 组件中的漏洞</h3>
<p>
以下漏洞会影响 Qualcomm 组件，2016 年 9 月的 Qualcomm AMSS 安全公告对该漏洞进行了详细说明。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度*</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0431</td>
    <td>A-32573899**</td>
    <td>严重</td>
    <td>无***</td>
    <td>Qualcomm 内部</td>
  </tr>
</tbody></table>
<p>
*这些漏洞的严重程度评级是由供应商决定的。
</p>
<p>
**尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<p>
***运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>

<h3 id="eop-in-mediatek-driver">MediaTek 驱动程序中的提权漏洞</h3>
<p>
MediaTek 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0432</td>
    <td>A-28332719*<br />M-ALPS02708925</td>
    <td>高</td>
    <td>无**</td>
    <td>2016 年 4 月 21 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>
<p>
**运行 Android 7.0（或更高版本）且已安装所有可用更新的受支持 Google 设备不受该漏洞的影响。
</p>

<h3 id="eop-in-synaptics-touchscreen-driver">Synaptics 触摸屏驱动程序中的提权漏洞</h3>
<p>
Synaptics 触摸屏驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过触摸屏芯片组执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0433</td>
    <td>A-31913571*</td>
    <td>高</td>
    <td>Nexus 6P、Nexus 9、Android One、Pixel、Pixel XL</td>
    <td>2016 年 9 月 8 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0434</td>
    <td>A-33001936*</td>
    <td>高</td>
    <td>Pixel、Pixel XL</td>
    <td>2016 年 11 月 18 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-qualcomm-secure-execution-environment-communicator-driver">Qualcomm 安全执行环境通讯器驱动程序中的提权漏洞</h3>
<p>
Qualcomm 安全执行环境通讯器驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8480</td>
    <td>A-31804432<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=0ed0f061bcd71940ed65de2ba46e37e709e31471">QC-CR#1086186</a> [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=cd70f6025a7bbce89af7a7abf4c40a219fdea406">2</a>]</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Android One、Pixel、Pixel XL</td>
    <td>2016 年 9 月 28 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-qualcomm-sound-driver">Qualcomm 声音驱动程序中的提权漏洞</h3>
<p>
Qualcomm 声音驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8481</td>
    <td>A-31906415*<br />QC-CR#1078000</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6P、Pixel、Pixel XL</td>
    <td>2016 年 10 月 1 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0435</td>
    <td>A-31906657*<br />QC-CR#1078000</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6P、Pixel、Pixel XL</td>
    <td>2016 年 10 月 1 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0436</td>
    <td>A-32624661*<br />QC-CR#1078000</td>
    <td>高</td>
    <td>Nexus 5X、Nexus 6P、Pixel、Pixel XL</td>
    <td>2016 年 11 月 2 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-qualcomm-wi-fi-driver">Qualcomm WLAN 驱动程序中的提权漏洞</h3>
<p>
Qualcomm WLAN 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0437</td>
    <td>A-32402310<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=1f0b036dc74ccb6e9f0a03a540efdb0876f5ca77">QC-CR#1092497</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0438</td>
    <td>A-32402604<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=1f0b036dc74ccb6e9f0a03a540efdb0876f5ca77">QC-CR#1092497</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0439</td>
    <td>A-32450647<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=81b6b5538d3227ed4b925fcceedb109abb2a4c61">QC-CR#1092059</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 10 月 25 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8419</td>
    <td>A-32454494<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=9ba50d536227666a5b6abd51f2b122675d950488">QC-CR#1087209</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 10 月 26 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8420</td>
    <td>A-32451171<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=c6597e015a7ce5ee71d3725fc55e64fc50923f4e">QC-CR#1087807</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 10 月 26 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8421</td>
    <td>A-32451104<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=61a5cdb9adc96645583f528ac923e6e59f3abbcb">QC-CR#1087797</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 10 月 26 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0440</td>
    <td>A-33252788<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=10f0051f7b3b9a7635b0762a8cf102f595f7a268">QC-CR#1095770</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 11 月 11 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0441</td>
    <td>A-32872662<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=da87131740351b833f17f05dfa859977bc1e7684">QC-CR#1095009</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 11 月 11 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0442</td>
    <td>A-32871330<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=1f0b036dc74ccb6e9f0a03a540efdb0876f5ca77">QC-CR#1092497</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 11 月 13 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0443</td>
    <td>A-32877494<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=1f0b036dc74ccb6e9f0a03a540efdb0876f5ca77">QC-CR#1092497</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 11 月 13 日</td>
  </tr>
  <tr>
    <td>CVE-2016-8476</td>
    <td>A-32879283<br />
        <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=bfe8035bce6fec72ed1d064b94529fce8fb09799">QC-CR#1091940</a></td>
    <td>高</td>
    <td>Nexus 5X、Pixel、Pixel XL</td>
    <td>2016 年 11 月 14 日</td>
  </tr>
</tbody></table>

<h3 id="eop-in-realtek-sound-driver">Realtek 声音驱动程序中的提权漏洞</h3>
<p>
Realtek 声音驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0444</td>
    <td>A-32705232*</td>
    <td>高</td>
    <td>Nexus 9</td>
    <td>2016 年 11 月 7 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-htc-touchscreen-driver">HTC 触摸屏驱动程序中的提权漏洞</h3>
<p>
HTC 触摸屏驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0445</td>
    <td>A-32769717*</td>
    <td>高</td>
    <td>Pixel、Pixel XL</td>
    <td>2016 年 11 月 9 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0446</td>
    <td>A-32917445*</td>
    <td>高</td>
    <td>Pixel、Pixel XL</td>
    <td>2016 年 11 月 15 日</td>
  </tr>
  <tr>
    <td>CVE-2017-0447</td>
    <td>A-32919560*</td>
    <td>高</td>
    <td>Pixel、Pixel XL</td>
    <td>2016 年 11 月 15 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="id-in-nvidia-video-driver">NVIDIA 视频驱动程序中的信息披露漏洞</h3>
<p>
NVIDIA 视频驱动程序中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于攻击者可以利用该漏洞在未经用户明确许可的情况下访问敏感数据，因此我们将该漏洞的严重程度评为“高”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0448</td>
    <td>A-32721029*<br />N-CVE-2017-0448</td>
    <td>高</td>
    <td>Nexus 9</td>
    <td>2016 年 11 月 7 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-broadcom-wi-fi-driver-2">Broadcom WLAN 驱动程序中的提权漏洞</h3>
<p>
Broadcom WLAN 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于恶意应用在利用该漏洞时需要先入侵特权进程，而且可以通过当前平台配置降低该漏洞的危害性，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0449</td>
    <td>A-31707909*<br />B-RB#32094</td>
    <td>中</td>
    <td>Nexus 6、Nexus 6P</td>
    <td>2016 年 9 月 23 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-audioserver-2">Audioserver 中的提权漏洞</h3>
<p>
Audioserver 中有一个提权漏洞，本地恶意应用可以利用该漏洞通过特权进程执行任意代码。由于可以通过当前平台配置降低该漏洞的危害性，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0450</td>
    <td>A-32917432*</td>
    <td>中</td>
    <td>Nexus 9</td>
    <td>2016 年 11 月 15 日</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="eop-in-kernel-file-system-2">内核文件系统中的提权漏洞</h3>
<p>
内核文件系统中有一个提权漏洞，本地恶意应用可以利用该漏洞绕过可防止提权的防护功能。由于该漏洞可让攻击者全面深入地绕过用户级防护功能或利用缓解技术中存在的问题，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-10044</td>
    <td>A-31711619*</td>
    <td>中</td>
    <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Pixel C、Nexus Player、Pixel、Pixel XL</td>
    <td>Google 内部</td>
  </tr>
</tbody></table>
<p>
*尚未公开发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。
</p>

<h3 id="id-in-qualcomm-secure-execution-environment-communicator">Qualcomm 安全执行环境通讯器中的信息披露漏洞</h3>
<p>
Qualcomm 安全执行环境通讯器中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2016-8414</td>
    <td>A-31704078<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=320970d3da9b091e96746424c44649a91852a846">QC-CR#1076407</a></td>
    <td>中</td>
    <td>Nexus 5X、Nexus 6P、Android One、Pixel、Pixel XL</td>
    <td>2016 年 9 月 23 日</td>
  </tr>
</tbody></table>

<h3 id="id-in-qualcomm-sound-driver">Qualcomm 声音驱动程序中的信息披露漏洞</h3>
<p>
Qualcomm 声音驱动程序中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问超出其权限范围的数据。由于恶意应用在利用该漏洞时需要先入侵特权进程，因此我们将该漏洞的严重程度评为“中”。
</p>

<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参考内容</th>
    <th>严重程度</th>
    <th>已更新的 Google 设备</th>
    <th>报告日期</th>
  </tr>
  <tr>
    <td>CVE-2017-0451</td>
    <td>A-31796345<br />
        <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=59f55cd40b5f44941afc78b78e5bf81ad3dd723e">QC-CR#1073129</a> [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=35346beb2d8882115f698ab22a96803552b5c57e">2</a>]</td>
    <td>中</td>
    <td>Nexus 5X、Nexus 6P、Android One、Pixel、Pixel XL</td>
    <td>2016 年 9 月 27 日</td>
  </tr>
</tbody></table>

<h2 id="common-questions-and-answers">常见问题和解答</h2>
<p>这一部分解答了用户在阅读本公告后可能会提出的常见问题。</p>
<p><strong>1. 如何确定我的设备是否已通过更新解决这些问题？</strong></p>
<p>要了解如何查看设备的安全补丁程序级别，请参阅 <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Pixel 和 Nexus 更新时间表</a>中的说明。</p>
<ul>
  <li>如果安全补丁程序级别是 2017-02-01 或更新，则意味着已解决 2017-02-01 安全补丁程序级别涵盖的所有问题。</li>
  <li>如果安全补丁程序级别是 2017-02-05 或更新，则意味着已解决 2017-02-05 以及之前的所有安全补丁程序级别涵盖的所有问题。
  </li>
</ul>
<p>预装这些更新的设备制造商应将补丁程序字符串级别设为：</p>
<ul>
<li><code>[ro.build.version.security_patch]:[2017-02-01]</code></li>
<li><code>[ro.build.version.security_patch]:[2017-02-05]</code></li>
</ul>

<p><strong>2. 为何本公告有 2 个安全补丁程序级别？</strong></p>

<p>本公告之所以有 2 个安全补丁程序级别，是为了让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。我们建议 Android 合作伙伴修复本公告中的所有问题并使用最新的安全补丁程序级别。</p>
<ul>
  <li>如果设备使用的是 2017 年 2 月 1 日这一安全补丁程序级别，则必须包含该安全补丁程序级别涵盖的所有问题以及之前的安全公告中报告的所有问题的修复程序。</li>
  <li>如果设备使用的是 2017 年 2 月 5 日或更新的安全补丁程序级别，则必须包含本安全公告（以及之前的安全公告）中的所有适用补丁程序。</li>
</ul>
<p>我们建议合作伙伴将要解决的全部问题的修复程序打包到一个更新中。</p>
<p><strong>3. 如何确定各个问题都会影响哪些 Google 设备？</strong></p>
<p>在 <a href="#2017-02-01-details">2017-02-01</a> 和 <a href="#2017-02-05-details">2017-02-05</a> 安全漏洞详情部分，每个表中均包含“已更新的 Google 设备”列，其中列出了已针对每个问题进行更新的受影响 Google 设备。<em></em>此列有以下几种情形：
</p>
<ul>
  <li><strong>所有 Google 设备</strong>：如果问题会影响所有 Nexus 和 Pixel 设备，则相应表的“已更新的 Google 设备”列中会显示“所有”。<em></em>“所有”包含下列<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">受支持的设备</a>：Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Android One、Nexus Player、Pixel C、Pixel 和 Pixel XL。</li>
  <li><strong>部分 Google 设备</strong>：如果问题仅会影响部分 Google 设备，则“已更新的 Google 设备”列中会列出受影响的 Google 设备。<em></em></li>
  <li><strong>无 Google 设备</strong>：如果问题不会影响任何运行 Android 7.0 的 Google 设备，则相应表的“已更新的 Google 设备”列中会显示“无”。<em></em></li>
</ul>
<p><strong>4.“参考内容”列中的条目对应的是什么内容？</strong></p>
<p>在漏洞详情表内，“参考内容”列中的条目可能包含用于标识参考值所属组织的前缀。<em></em>这些前缀对应的内容如下：</p>
<table>
  <tbody><tr>
   <th>前缀</th>
   <th>参考内容</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android Bug ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm 参考编号</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek 参考编号</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA 参考编号</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom 参考编号</td>
  </tr>
</tbody></table>

<h2 id="revisions">修订</h2>
<ul>
  <li>2017 年 2 月 6 日：发布了本公告。</li>
  <li>2017 年 2 月 8 日：在本公告中添加了 AOSP 链接。</li>
</ul>

</body></html>